PHP is a general-purpose scripting language that is especially suited for Web development. The online manual is an excellent resource for the language syntax and has an extensive list of the built-in and extension functions. Most extensions can be found in PECL.

learn more… | top users | synonyms

0
votes
0answers
9 views

Prevent email spam from vhosts

We have a server with several vhosts (with php) running. Recently one vhost was overtaken from a "hacker" which manipulated the php scripts to send email spam. Because the other email servers blocked ...
0
votes
0answers
5 views

Virtualmin/Webmin - How to install PHP 5.2 as secondary PHP version?

I know how to install additional PHP to exiting one in Virtualmin (actually I have 5.4 and 5.5 together) but how I can add PHP 5.2.17 to 5.4? The way which I have used is not working in this case I ...
0
votes
0answers
6 views

PHP: Session-related error, that occurs only in Internet Explorer?

I have PHP 5.4.7 with Yii framework and I'm experiencing problem described here. When I login to my Yii-powered website, I'm getting session_regenerate_id(): Session object destruction failed error. I ...
1
vote
1answer
14 views

unable to switch off expose_php in ubuntu 14.04 with nginx and php-fpm

According to phpinfo: Loaded Configuration File: /etc/php5/fpm/php.ini # grep expose_php /etc/php5/fpm -R /etc/php5/fpm/php.ini:expose_php = Off ...
0
votes
0answers
7 views

how to resolve yum replace php-common --replace-with=php55w-common error? [duplicate]

how to resolve yum replace php-common --replace-with=php55w-common error? on CentOS 6.5 root@server [~]# yum replace php-common --replace-with=php55w-common Loaded plugins: fastestmirror, replace, ...
0
votes
2answers
655 views

PHPMyAdmin throws an open_basedir error when using eaccelerator

I guess the PHPMyAdmin code is getting confused by eaccelerator. This is the error I get: Warning: Unknown: open_basedir restriction in effect. File() is not within the allowed path(s): ...
0
votes
0answers
5 views

Plesk 11.5 multiple php installation fails as php_handler doesn't exist

I have done same operation successfully in the past in order to install multiple versions of php on plesk but when I try now at a new server I get the following error : -bash: ...
0
votes
0answers
63 views

Postfix: Bounce checking. Emails are piped to php but prevents emails from being sent and received properly [closed]

As I was working, I made a guide of what I was doing, for future use. I have been trying to get this to work for some time and I have gotten the emails to pass through the script. The problem all ...
2
votes
1answer
1k views

Ubuntu Jaunty + sendmail + PHP + mail() Premission Errors

I'm having issues trying to get PHP's mail function to work on my Ubuntu 9.04 VPS with sendmail and Apache (and other less relevant stuff, of course). From PHP I receive no error, save a return value ...
1
vote
1answer
608 views

Can't get php+sqlite working

I'm struggling all morning to make php work with an sqlite database. Here is a piece of php code that I try to execute: #less /var/www/html/test.php <?php $db=new ...
0
votes
1answer
57 views

Apache 2.4 HHVM 3.1 Static content serving

I have set up apache 2.4 with HHVM 3.1.0 (nightly) on ubuntu 13.10 For some reason the server serves the hhvm files (.php) correctly, but when I try to load a .html/.css or any other static file it ...
0
votes
1answer
19 views

Cron getting timeout when attempting to access url (wget).

I'm sure this is simple and I've been digging but no answer is quite as specific as I need it to be. The goal is easy, have Cron hit a url on my server every 5 minutes. All of that is set up and ...
-2
votes
0answers
14 views

421 4.3.0 collect: Cannot write … (bfcommit, uid=0, gid=110): No such file or directory [on hold]

There are an issue: i want to use swiftmailer but when i try then the system says: # php yiic.php sendnotifications exception 'Swift_TransportException' with message 'Expected response code 250 ...
1
vote
2answers
219 views

Why can nginx access /etc/passwd? [on hold]

I'm trying to setup my new VPS with my couple sites. nginx, php-fpm and other needed services installed. I setup a nginx server block(virtual hosts) for my site, and then try to create a php file ...
0
votes
1answer
240 views

Trying to install gd, getting conflict error

I am trying to install gd using sudo yum install php-gd but I get the error below. I know I have ran into this problem before but I can't seem to recall how I got around it. Am I in the wrong ...
0
votes
0answers
48 views

Apache 2.2.27 Crashes with CPU at 100%

We have a processor intensive web portal that can easily reach high CPU usage, when this happens the Apache (2.2.27) server crashes, before when using Apache 2.2.25 (with OpenSSL 0.9.8y) the server ...
0
votes
3answers
959 views

Apache 2.4 and PHP 5.4 getting connection reset errors in the browser

In the weekend I upgraded my development web server to Apache 2.4 and PHP 5.4. In my web application which was previously working great on Apache 2.2 and PHP 5.3 it now starts getting these messages ...
0
votes
1answer
22 views

How to remove php modules from apache?

Looking at phpinfo() I found a lot of modules that I am not using and therefore they just waste memory. So I want to remove them, but the problem is that also there is huge amount of info about 'how ...
2
votes
2answers
784 views

Apache/2.2.20 (Ubuntu 11.10) gzip compression won't work on php pages, content is chunked

I'm running into a problem with a new production server whereto I'm transferring projects. The HTML output of the PHP applications isn't compressed by the Apache mod_deflate module. Other resources, ...
1
vote
1answer
637 views

PHP-FPM doesn't process php request

I have a strange situation, I have installed lighttpd and php5-fpm through aptitude I've created one vhost and the and the fpm pool. This is the main.conf (global FPM) [global] pid = ...
0
votes
3answers
40 views

Configure postfix to block PHP-sent mail() to certain recipients

I'm trying to prevent my CentOS 6.5 server from sending out emails to a certain list of recipients. (dont_contact_me@hotmail.com, dont_contact_me@gmail.com and so on). I've configured postfix like ...
0
votes
1answer
637 views

How to fix Apache from crashing with PHP+Curl on an SSH request?

My Apache process segfaults whenever I call curl_exec() from PHP with an "https://" URL. If I use http instead of https as the URL transport, it works perfectly, so I know curl and the other curl ...
0
votes
2answers
46 views

Change apache (PHP) $PATH environment variable on CentOS with cPanel

I need to add a path to $PATH environment variable for PHP scripts on CentOS linux server with cPanel Pro 1.0 and Apache 2.2.27. For Ubuntu or SuSE it just means adding the row export ...
0
votes
4answers
2k views

Magento Apache Config & Memory Issues

I have a Magento installation on a VPS that is giving me a headache. This particular VPS has a reasonable spec - 2gb Memory and 50gb storage. It runs a single domain, with a single Magento install - ...
0
votes
2answers
762 views

Compiling PHP on CentOS Needs MySQL PDO Configured

I am trying to compile PHP with mysql_pdo on CentOS 6 and I am having just one heck of a time trying to make it happen. Currently I am trying to compile PHP 5.2, but I am going to have to do this for ...
0
votes
1answer
775 views

phpmyadmin displays blank page after installing apc and memcached

ii am running a lamp stack on centos 5.6 with php 5.3. i had installed phpmyadmin and it work. i was able to log in and do anything. Then i installed memcached and its php extension as well as apc and ...
0
votes
1answer
5k views

How do I get around “Access is Denied” [Number: 5 (0x80070005)], with IIS6/FastCGI and PHP 5.2.3?

I'm getting this error with IIS 6.0 (i assume), and PHP 5.2.3, and FastCGI FastCGI Error The FastCGI Handler was unable to process the request. Error Details: Error Number: 5 (0x80070005). Error ...
0
votes
0answers
5 views

Change tomcat security-roles by editing web.xml from PHP

When a user buys a product, I set up a new domain on the fly (by calling some API from PHP), and then I come to a point where I need to specify certain security roles in TomCat, preferably still from ...
2
votes
2answers
956 views

Apache 2.2 + mod_fcgid + PHP 5.4: (104) Connection reset by peer

On a Debian 6 VPS, I'm running PHP 5.4 via mod_fcgid on a couple of different virtual hosts, managed by Virtualmin GPL. At random, I get 500 Internal Server Errors; restarting Apache brings everything ...
13
votes
1answer
3k views

Multiple php versions simultaneously on Ubuntu

I want to be able to run multiple php versions on my development box running Ubuntu 12.04. What I want to accomplish is that when I use localhost as domain a default is used (let's say php 5.3.17). ...
1
vote
1answer
268 views

Heartbleed vulnerability when SSL provided by unaffected servers?

*I'd like to ask about two scenarios where a vulnerable version of OpenSSL is installed on a server, but that server is not providing SSL services. Scenario 1: I have an SSL certificate installed on ...
0
votes
0answers
5 views

Platform/plugins options to support an eCommerce site needing 2 types of shopping users? [closed]

I am looking for PHP platform (and/or plugins) to support an eCommerce site needing 2 types of shopping users. One group of users - Users A - will have access only to xyz products, and a limited ...
-1
votes
1answer
16 views

Is it possible to use PHP on a website hosted on AWS S3 without using EC2 or Elastic Beanstalk?

I have a bit of PHP (a contact form to be exact) that isn't working right now on my website. I'd like to activate the PHP and I heard one of the ways is to use Elastic Beanstalk. However, Elastic ...
1
vote
2answers
1k views

ioncube not load after upgrading to php 5.4

i am afraid that i broke somthing in my vps :/ i hope you can help me. i am on ubuntu-12.04-x86. and i moved to new vps so i tryied to upgrade the php to the news version from 5.3 to 5.4. anyway ...
3
votes
2answers
2k views

Owncloud/Apache Server won't increase max file upload

I have tried just about everything I can think of on this one. I am currently trying to increase the max file upload size on our apache owncloud server. I have changed the /etc/php.ini values for: ...
0
votes
3answers
71 views

Apache 2.4 - 403 HTTP status code

I'm getting a 403 error message with Apache, in Debian Testing. Apache version: # aptitude show apache2 | grep -i version Version: 2.4.9-1 # ls -la /home/ total 28 drwxr-xr-x 4 root root ...
4
votes
2answers
306 views

Hardened PHP deployment on Ubuntu

I've been asked to create a PHP environment on a web-server I administer that is currently only running Python applications. The authors of these applications don't necessarily have a programming ...
1
vote
2answers
38 views

Ubuntu Server 13: How to prevent users from exploring the filesystem with php

I hosting websites for several clients who do not have shell access. How do I prevent these users from exploring the system using PHP? Right now, I'm using suphp to their code as themselves, but ...
-1
votes
0answers
9 views

How detect insufficient amount of FastCGI workes

Could you help me to figure out how can it be detected that there are not enough php fastCGI workers on Apache server? Is high number of HTTP status 503 responses a good indicator of that? How does ...
0
votes
1answer
728 views

curl installation and upgrade

On a centos 5.7 machine we had curl 7.15 installed . We also have PHP installed in it as some of the PHP libraries are linked to curl. We wanted to upgrade curl to 7.19 but yum update was failing . ...
0
votes
1answer
863 views

Trying to install pdo_oci via PECL fails asking for PDO extension

I'm using Linux Mint 11 (based on Ubuntu 11.04) and I need to use PHP with Oracle through PDO, a requirement of the framework we will work with. I've installed various PDO extensions using the normal ...
-4
votes
0answers
38 views

Cannot Get IMAP Working - PHP5, Apache2 on Ubuntu [closed]

I have been trying to install and configure imap on my ubuntu server. sudo apt-get install php5-imap Which now gives me: Reading package lists... Done Building dependency tree Reading state ...
0
votes
0answers
20 views

Can't write files with PHP on IIS

I have an IIS 7.5 web server running on Windows 2008r2. When I try to write to a file I get a Permission Denied error, but I can't figure out how to fix the permissions. I have PHP configured via ...
0
votes
0answers
9 views

Curl get of .cgi file, Always 504 gateway time out

I have a ip cam and I use Get method to switch on the alarm. When I use browser everything is ok http://da***.com:808/set_alarm.cgi?user=***&pwd=***&motion_armed=1" If a try to use this ...
0
votes
0answers
29 views

Which particular exploit is this? [closed]

My nginx access.log file is filled with entries like this: 61.164.70.234 - - [08/Apr/2014:01:34:01 +0000] "\xD54j\x0B\xB7.\xDCG\x95\x91e-6} \x1Am\xF2\x00\xD9\xDD\x7Fn.\xDB ...
-1
votes
1answer
31 views

Running PHP/MySQL on Windows Server 2008 [closed]

I have a client that has a fairly basic web ordering system that was built for them many years ago. It is based on runs fine on PHP 5.3. Now, it connects to a (even older) warehouse management system ...
-1
votes
0answers
41 views

Can I host both Tomcat and PHP sites on a single server with one IP address on port 80? [duplicate]

I would like to host both Tomcat and PHP (Wordpress) site on Linux and Apache with one IP address and port 80 for development purposes. For instance one site would be mapped to php_site.mydomain.com ...
0
votes
5answers
1k views

nginx: php-fastcgi running but php files not executing

I have recently set up a nginx server with PHP running as FastCGI process. The server is running with HTML files however PHP files are downloading instead of displaying and PHP code is not processed. ...
0
votes
0answers
13 views

best logic to Load balancing YiiFramework web app

I'm going to launch a Yii framework app next days, and i'm currently searching the best way to deploy it in order to scale and support high traffic. I use Amazon RDS to host the DB, and 2 Memcached ...
0
votes
0answers
55 views

Can't load Mongo extension in php.ini

I'm having some issues while try to load mongo.so extension at php.ini. Below is what I tried: Compile the mongo extension by following the documentation at php.net for MongoDB site. This resumed ...